# You can find more information about this file on the symfony website:
# http://www.symfony-project.org/reference/1_4/en/05-Factories

prod:
  logger:
    class:   sfNoLogger
    param:
      level:   err
      loggers: ~

test:
  storage:
    class: sfSessionTestStorage
    param:
      session_path: %SF_TEST_CACHE_DIR%/sessions

  response:
    class: sfWebResponse
    param:
      send_http_headers: false

  mailer:
    param:
      delivery_strategy: none

# dev:
#   mailer:
#     param:
#       delivery_strategy: none

all:
  routing:
    class: sfPatternRouting
    param:
      generate_shortest_url:            true
      extra_parameters_as_query_string: true

  mailer:
    param:
      delivery_strategy: realtime
      logging:           %SF_LOGGING_ENABLED%
      transport:
        class: Swift_SmtpTransport
        param:
          host:       <?= WTConfig::get('email_server_host') ."\n" ?>
          port:       <?= WTConfig::get('email_server_port') ."\n" ?>
          encryption: <?= WTConfig::get('email_server_encryption') ."\n" ?>
          username:   <?= WTConfig::get('email_server_username') ."\n" ?>
          password:   <?= WTConfig::get('email_server_password') ."\n" ?>

  view_cache_manager:
    class: sfViewCacheManager
    param:
      cache_key_use_vary_headers: true
      cache_key_use_host_name:    true
